Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(16)

Issue 1936003002: AIX:Proposal to use kSemaphoreAlignmentMask instead kPointerAlignmentMask (Closed)

Created:
2 years, 7 months ago by JaideepBajwa
Modified:
2 years, 7 months ago
CC:
JoranSiu, john.yan, michael_dawson, v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

AIX:Proposal to use kSemaphoreAlignmentMask instead kPointerAlignmentMask native_handle_ on AIX64 is of type int, and therefore fails on an operation with a pointer type. Use kSemaphoreAlignmentMask as sizeof(int) on AIX and sizeof(pointer) otherwise. R=jochen@chromium.org, mbrandy@us.ibm.com BUG=v8:4767 LOG=N Committed: https://crrev.com/46b932f405836949c19b43670571aeb458ef5a62 Cr-Commit-Position: refs/heads/master@{#35988}

Patch Set 1 #

Total comments: 1

Patch Set 2 : addressed comment, removed kSemaphoreAlignmentMask from header #

Total comments: 1

Patch Set 3 : renamed kPointerAlignmentMask to kSemaphoreAlignmentMask #

Unified diffs Side-by-side diffs Delta from patch set Stats (+8 lines, -2 lines) Patch
M src/base/platform/semaphore.cc View 1 2 1 chunk +8 lines, -2 lines 0 comments Download

Messages

Total messages: 14 (5 generated)
JaideepBajwa
PTAL
2 years, 7 months ago (2016-05-01 22:45:54 UTC) #2
jochen (gone - plz use gerrit)
https://codereview.chromium.org/1936003002/diff/1/src/base/platform/semaphore.h File src/base/platform/semaphore.h (right): https://codereview.chromium.org/1936003002/diff/1/src/base/platform/semaphore.h#newcode24 src/base/platform/semaphore.h:24: const uintptr_t kSemaphoreAlignmentMask = sizeof(int) - 1; Any reason ...
2 years, 7 months ago (2016-05-02 16:15:45 UTC) #3
JaideepBajwa
On 2016/05/02 16:15:45, jochen wrote: > https://codereview.chromium.org/1936003002/diff/1/src/base/platform/semaphore.h > File src/base/platform/semaphore.h (right): > > https://codereview.chromium.org/1936003002/diff/1/src/base/platform/semaphore.h#newcode24 > ...
2 years, 7 months ago (2016-05-02 17:12:46 UTC) #4
JaideepBajwa
updated, PTAL
2 years, 7 months ago (2016-05-02 22:26:50 UTC) #5
jochen (gone - plz use gerrit)
lgtm with comment https://codereview.chromium.org/1936003002/diff/20001/src/base/platform/semaphore.cc File src/base/platform/semaphore.cc (right): https://codereview.chromium.org/1936003002/diff/20001/src/base/platform/semaphore.cc#newcode83 src/base/platform/semaphore.cc:83: const uintptr_t kPointerAlignmentMask = sizeof(int) - ...
2 years, 7 months ago (2016-05-03 11:03:09 UTC) #6
JaideepBajwa
On 2016/05/03 11:03:09, jochen wrote: > lgtm with comment > > https://codereview.chromium.org/1936003002/diff/20001/src/base/platform/semaphore.cc > File src/base/platform/semaphore.cc ...
2 years, 7 months ago (2016-05-03 13:58:44 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1936003002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1936003002/40001
2 years, 7 months ago (2016-05-03 13:58:59 UTC) #10
commit-bot: I haz the power
Committed patchset #3 (id:40001)
2 years, 7 months ago (2016-05-03 14:24:28 UTC) #12
commit-bot: I haz the power
2 years, 7 months ago (2016-05-03 14:25:42 UTC) #14
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/46b932f405836949c19b43670571aeb458ef5a62
Cr-Commit-Position: refs/heads/master@{#35988}

Powered by Google App Engine
This is Rietveld 408576698